require File.dirname(__FILE__) + '/../../../spec_helper'
require File.dirname(__FILE__) + '/sample_archetype_spec'
require 'rexml/document'
include OpenEHR::Serializer

describe XMLSerializer do
  it_should_behave_like 'sample archetype'

  before(:each) do
    @xml_serializer = XMLSerializer.new(@archetype)
  end

  it 'should be an instance of XMLSerializer' do
    @xml_serializer.should be_an_instance_of XMLSerializer
  end

  it 'should return XML formatted header' do
    @xml_serializer.header.should == <<END
<archetype_id>
  <value>openEHR-EHR-SECTION.test.v1</value>
</archetype_id>
<concept>at0000</concept>
<original_language>
  <code_string>ja</code_string>
  <terminology_id>
    <value>openEHR</value>
  </terminology_id>
</original_language>
END
  end
end
